Vscode的php cs fixer插件报无法验证,因为找不到 PHP 安装。使用设置 “php.validate.executablePath” 来配置 PHP 可执行文件。

原创 野人  2021-08-31 09:01  阅读 18 次

报的警告信息如下;

说实话,跟其他款php的格式化代码插件相比,这款插件装完还有警告就是不爽了,但是没办法,问题还是要解决的,只是很无奈,为啥插件的官方还要在出个警告。

要解决这个警告的话,就是同它的警告提示来设置就好了,

首先,也是根据它的提示,点击那个【打开设置】按钮,

接着,点击【在settings.json中编辑】

最后,就是填写你的php执行文件的地址,"php.validate.executablePath":"php的可执行文件的地址",如"php.validate.executablePath":"C:/wamp/bin/php/php5.6.25/php.exe"

设置步骤,虽说简单,但是最后一步要需要知道你的php可执行文件的路径,意味你如果你电脑没有安装php的环境的话,那么就要先安排好php环境,然后才能到最后一步设置。

关于php的环境,我是建议,在Window系统下,直接使用现成的一键安装环境的安装包,如WampServer,phpStudy等等。

本文地址:http://www.yerenwz.com/4556.html
版权声明:本文为原创文章,版权归 野人 所有,欢迎分享本文,转载请保留出处!

发表评论